# ConfigHelper

Package tourplaner.business

## Class ConfigHelper

- java.lang.Object
- - tourplaner.business.ConfigHelper

    public class ConfigHelper
    extends java.lang.Object

Dient dem ein und auslesen von .ini Dateien

### Field Summary

Fields
`static java.lang.String` `standartConfig`
`static java.lang.String` `standartLangDe`

### Constructor Summary

Constructors
`ConfigHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getIniInt​(java.lang.String filename, java.lang.String sectionName, java.lang.String optionName)` Liest einen Int aus der Config aus
`static java.lang.String` `getIniString​(java.lang.String filename, java.lang.String sectionName, java.lang.String optionName)` Liest einen String aus der Config aus
`static java.lang.String` `getLangIniString​(java.lang.String optionName)` Liest einen String aus der Lang datei aus Die Sprache wird im config file umgestellt
`static java.lang.String` `getStandartConfig()` Gibt den namen des standard Config file zurück
`static java.lang.String` `getStandartLangde()` Gibt den namen des standard langde file zurück
`static void` `setIniInt​(java.lang.String filename, java.lang.String sectionName, java.lang.String optionName, int value)` Setzt ein int in der Config
`static void` `setIniString​(java.lang.String filename, java.lang.String sectionName, java.lang.String optionName, java.lang.String value)` Setzt ein String in der Config

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### standartConfig

    public static java.lang.String standartConfig

#### standartLangDe

    public static java.lang.String standartLangDe

### Constructor Detail

#### ConfigHelper

    public ConfigHelper()

### Method Detail

#### getIniInt

    public static int getIniInt​(java.lang.String filename,
                                java.lang.String sectionName,
                                java.lang.String optionName)

Liest einen Int aus der Config aus

Parameters:
  `filename` - Speicherort
  `sectionName` - Sections Name
  `optionName` - Options Name
Returns:
  Den angeforderten String

#### getIniString

    public static java.lang.String getIniString​(java.lang.String filename,
                                                java.lang.String sectionName,
                                                java.lang.String optionName)

Liest einen String aus der Config aus

Parameters:
  `filename` - Speicherort
  `sectionName` - Sections Name
  `optionName` - Options Name
Returns:
  Den angeforderten String

#### getLangIniString

    public static java.lang.String getLangIniString​(java.lang.String optionName)

Liest einen String aus der Lang datei aus Die Sprache wird im config file umgestellt

Parameters:
  `optionName` - Options Name
Returns:
  Den angeforderten String

#### setIniString

    public static void setIniString​(java.lang.String filename,
                                    java.lang.String sectionName,
                                    java.lang.String optionName,
                                    java.lang.String value)

Setzt ein String in der Config

Parameters:
  `filename` - Speicherort
  `sectionName` - Sections Name
  `optionName` - Options Name
  `value` - Wert der eingetragen werden soll

#### setIniInt

    public static void setIniInt​(java.lang.String filename,
                                 java.lang.String sectionName,
                                 java.lang.String optionName,
                                 int value)

Setzt ein int in der Config

Parameters:
  `filename` - Speicherort
  `sectionName` - Sections Name
  `optionName` - Options Name
  `value` - Wert der eingetragen werden soll

#### getStandartConfig

    public static java.lang.String getStandartConfig()

Gibt den namen des standard Config file zurück

Returns:
  Name des standard config files

#### getStandartLangde

    public static java.lang.String getStandartLangde()

Gibt den namen des standard langde file zurück

Returns:
  Name des standard langde files